<template>
  <div>正在登录...</div>
</template>

<script>
import Lockr from 'lockr'
import { WxLogin, CheckLogin } from '@/api/login'
import {
  addAuth
} from '@/utils/auth'
export default {
  name: 'logining',
  watch: {
    $route: {
      handler: function (route) {
        console.log(sessionStorage.getItem('code'))
        const query = route.query
        if (query) {
          let queryCode = sessionStorage.getItem('code')
          if (queryCode) {
            this.userWxLogin(queryCode)
          }
        }
      },
      immediate: true
    }
  },
  methods: {
    userWxLogin (code) {
      WxLogin(code).then(res => {
        console.log(res)
        if (res.data.ErrorCode !== 200) {
          this.$message.error('登录失败！')
          this.loading = false
        } else {
          if (res.data.ErrorCode === 500) {
            this.$message.error(res.data.Message)
            this.loading = false
            this.$router.replace('/login')
          } else {
            this.loading = false
            this.$message.success('登录成功！')
            addAuth(res.data.Result.Token)
            Lockr.set('Admin-Token', res.data.Result.Token)
            Lockr.set('User-Info', res.data.Result.LoginUserInfo)
            this.$store.commit('SET_USERINFO', res.data.Result.LoginUserInfo)
            window.localStorage.setItem('token', res.data.Result.Token)
            window.sessionStorage.setItem('token', res.data.Result.Token)
            this.$store.dispatch('getAuth')
            this.setToken(res.data.Result.Token)
          }
        }
      })
    },
    setToken (token) {
      CheckLogin({'Token': token}).then(res => {
        if (res.data.ErrorCode === 200) {
          this.$router.replace('/home')
        } else {
          this.$router.replace('/login')
        }
      })
    }
  }
}
</script>
